import QtQuick 2.3

FlyPage {
    id: messagePage

    property alias currentDayChange: calendar.currentDayChange
    property alias startDate: calendar.startDate
    property alias selectedDate: calendar.selectedDate
    property var selectFunction

    frontRect.anchors.fill: undefined
    frontRect.anchors.centerIn: frontRect.parent
    frontRect.width: Math.min(550 * dpiRatio, Math.min(frontRect.parent.width, frontRect.parent.height))
    frontRect.height: frontRect.width

    titleImage.imagePath: "qrc:/images/calendar.png"
    titleImage.imageColorEnabled: false
    titleImage.imageShadow: false
    okFunction: convenienceSelectFunction

    function convenienceSelectFunction() {
        messagePage.selectFunction(calendar.currentDayChange ? calendar.startDate : calendar.selectedDate)
    }

    FlyCalendar {
        id: calendar
        anchors.fill: centerRect
    }
}
