import QtQuick 2.3

FlyPage {
    id: colorPickerPage

    property var selectFunction
    property alias colorArray: colorPicker.colorArray

    frontRect.anchors.fill: undefined
    frontRect.anchors.centerIn: frontRect.parent
    frontRect.width: frontRect.height * 0.9
    frontRect.height: Math.min(700 * dpiRatio, Math.min(frontRect.parent.width, frontRect.parent.height))

    title: qsTr("Choose color")
    titleImage.imagePath: "image://ThemeImageProvider/color-picker-grey"
    titleImage.imageColorEnabled: false
    titleImage.imageShadow: false
    okFunction: function() { colorPickerPage.selectFunction(colorPicker.colorArray) }

    FlyColorPicker {
        id: colorPicker
        anchors.fill: centerRect
    }
}
