import QtQuick 2.3
import Fly.Components 1.0

FlyPage {
    id: contactInfoPage

    readonly property alias contactFullInfo: contactFullInfo
    readonly property var init: contactFullInfo.init

    title: qsTr("Contact info")
    titleImage.imagePath: "qrc:/images/contact.png"
    titleImage.imageColorEnabled: false
    titleImage.imageShadow: false
    leftMargin: parent ? parent.width * root.pageMargin : 0
    topMargin: parent ? parent.height * root.pageMargin : 0
    okFunction: contactFullInfo.saveContact
    cancelFunction: contactFullInfo.clearMemory

    FlyContactFullInfo { id: contactFullInfo; anchors.fill: centerRect; }
}
