import QtQuick 2.3

FlyNotificationItem {
    id: notificationItem

    Item {
        id: contentItem
        width: parent.width; height: parent.height

        FlyLabel {
            id: name
            anchors { left: parent.left; top: parent.top; right: parent.right; bottom: parent.verticalCenter;
                leftMargin: 10 * dpiRatio; rightMargin: 10 * dpiRatio; /*bottomMargin: 2 * dpiRatio*/ }
            text: itemData.name
            font.pixelSize: height * 0.55; fontSizeMode: Text.FixedSize;
            verticalAlignment: Text.AlignBottom
            elide: Text.ElideRight
        }

        FlyLabel {
            id: description
            anchors { left: parent.left; top: parent.verticalCenter; right: parent.right; bottom: parent.bottom;
                leftMargin: 10 * dpiRatio; rightMargin: 10 * dpiRatio; topMargin: 3 * dpiRatio }
            text: itemData.description
            font.pixelSize: 17 * dpiRatio; fontSizeMode: Text.FixedSize;
            color: styles.label.colorDisabled
            verticalAlignment: Text.AlignTop
            elide: Text.ElideRight
        }
    }

    //mouseArea.onClicked: sdfsdf
}
