import QtQuick 2.3
import Fly.Components 1.0

FlySettingsItemData {
    type: SettingsItemType.Check
    description: enabled
                 ? (value ? qsTr("Enabled") : qsTr("Disabled"))
                 : (disableDescription
                    ? disableDescription
                    : value ? qsTr("Enabled") : qsTr("Disabled"))

    Component.onCompleted: {
        if(settingsKey !== "" && settingsGroup !== "")
            value = settings.getBool(settingsKey, settingsGroup, settingsDefault ? settingsDefault : false)
    }
}
