import QtQuick 2.3

FlySettingsItem {
    id: settingsItem
    clickFuncOverride: true
    mouseArea.onClicked: {
        root.showListViewPage({ "title": qsTr("Choose item:"),
                                  "model": itemData.model,
                                  "currentIndex": itemData.value,
                                  "enabledList": itemData.enabledList,
                                  "okFunction": function(i) {
                                      itemData.value = i
                                      if(itemData.clickFunc) itemData.clickFunc()
                                      if(itemData.settingsKey !== "" && itemData.settingsGroup !== "") {
                                          settings.setInt(itemData.settingsKey, itemData.value, itemData.settingsGroup)

                                          if(root.title === "flylaunchermain")
                                              settingsWindowNotifier.settingsChanged(
                                                          settingsWindowNotifier.settingsGroupToInt(itemData.settingsGroup), itemData.settingsKey, itemData.value)
                                      }
                                  }
                              })
    }
}
