import QtQuick 2.3
import Fly.Components 1.0

FlySettingsItemData {
    type: SettingsItemType.Combo
    description: (model.length === 0 || value < 0 || value >= model.length) ? "" : model[value]

    property var model: []
    property var enabledList: []

    Component.onCompleted: {
        if(settingsKey !== "" && settingsGroup !== "")
            value = settings.getInt(settingsKey, settingsGroup, settingsDefault ? settingsDefault : 0)
    }
}
