import QtQuick 2.3
import Fly.Components 1.0

FlySettingsItemData {
    type: SettingsItemType.String
    description: isPassword
                 ? (value ? qsTr("Is set") : qsTr("None"))
                 : (value ? value : "")

    property string placeHolderText: qsTr("Input text...")
    property bool isPassword: false

    Component.onCompleted: {
        if(settingsKey !== "" && settingsGroup !== "")
            value = settings.getString(settingsKey, settingsGroup, settingsDefault ? settingsDefault : "")
    }
}
