import QtQuick 2.3
import Fly.Components 1.0

FlySettingsItemData {
    type: SettingsItemType.Number
    description: isNaN(value) ? "" : prefix + value + suffix

    property real minValue: 0
    property real maxValue: 1

    property string prefix: ""
    property string suffix: ""

    Component.onCompleted: {
        if(settingsKey !== "" && settingsGroup !== "")
            value = settings.getInt(settingsKey, settingsGroup, settingsDefault ? settingsDefault : 0)
    }
}
