import QtQuick 2.3

FlyPage {
    id: contactListViewPage

    property alias model: contactList.model
    property alias chooseOnePhone: contactList.chooseOnePhone

    frontRect.anchors.fill: undefined
    frontRect.anchors.centerIn: frontRect.parent
    frontRect.width: Math.min(600 * dpiRatio, frontRect.parent.width)
    frontRect.height: Math.min(700 * dpiRatio, frontRect.parent.height)

    titleImage.imagePath: "qrc:/images/listview.png"
    titleImage.imageColorEnabled: false
    titleImage.imageShadow: false
    showOkButton: false
    centerRectShadow: true

    FlyContactList {
        id: contactList
        anchors.fill: centerRect
        showPhones: true
        popupMode: false
        onClicked: { if(contactListViewPage.okFunction) contactListViewPage.okFunction(i, n, p, c); root.removePage(contactListViewPage.pageIndex) }
    }
}
