import QtQuick 2.3

Text {
    id: label

    property bool pressed: false

    color: enabled ? styles.label.color : styles.label.colorDisabled
    font.pixelSize: styles.label.medium; fontSizeMode: Text.Fit
    minimumPixelSize: 8
    scale: pressed ? 0.98 : 1.
    style: enabled ? Text.Normal : Text.Sunken;
    styleColor: root.isColorDarker(color, styles.colors.whiteA) ? styles.colors.whiteE : styles.label.color
    transformOrigin: Item.Bottom

    Accessible.name: text
    Accessible.role: Accessible.StaticText
}
