import QtQuick 2.3

Item {
    id: settingsItem
    width: parent.ListView.view.width; height: itemData.height

    FlyLabel {
        id: name
        anchors { fill: parent; leftMargin: 10 * dpiRatio; bottomMargin: parent.height * 0.1 }
        text: itemData.name.toUpperCase()
        font { pixelSize: height * 0.4; bold: true }
        fontSizeMode: Text.FixedSize;
        color: styles.label.colorDisabled
        verticalAlignment: Text.AlignBottom
        elide: Text.ElideRight
    }

    Rectangle {
        x: name.x + name.implicitWidth
        anchors.bottom: name.bottom; anchors.bottomMargin: 4
        width: parent.width - x; height: 2; color: name.color
    }
}
