import QtQuick 2.3
import Fly.Components 1.0

FlySettingsItemData {
    type: SettingsItemType.Color
    description: "#ARGB: " + root.getColorString(value)

    Component.onCompleted: {
        if(settingsKey !== "" && settingsGroup !== "")
            value = settings.getString(settingsKey, settingsGroup, settingsDefault ? settingsDefault : "#000")
    }
}
