import QtQuick 2.3

FlySettingsItem {
    id: settingsItem

    // for main page
    property var name: itemData.name
    property var icon: itemData.icon
    property var iconColor: itemData.iconColor

    contentItem.width: width - label.width
    mouseArea.onClicked: settingsItem.parent.ListView.view.openListView(itemData)

    FlyLabel {
        id: label
        anchors { top: parent.top; right: parent.right; bottom: parent.bottom; bottomMargin: contentItem.height * 0.1 }
        width: parent.height * 0.5
        text: '\u232a'
        font.pixelSize: height * 0.4
        color: styles.label.colorDisabled
        horizontalAlignment: Text.AlignHCenter; verticalAlignment: Text.AlignVCenter
    }
}
